Bug 60060 - Configure 4.0.4 --without-db
Summary: Configure 4.0.4 --without-db
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-19 16:18 UTC by Gabor Z. Papp
Modified: 2007-04-18 16:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-10 14:13:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
configure log (53.21 KB, text/plain)
2002-02-19 16:19 UTC, Gabor Z. Papp
no flags Details

Description Gabor Z. Papp 2002-02-19 16:18:15 UTC
Description of Problem:

Build fails when configuring with '--without-db'

Actual Results:

Making all in rpmdb
make[2]: Entering directory `/home/gzp/src/rpm-4.0.4/rpmdb'
make[2]: *** No rule to make target `../db3/db.h', needed by `dbconfig.lo'.  Stop.
make[2]: Leaving directory `/home/gzp/src/rpm-4.0.4/rpmdb'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/gzp/src/rpm-4.0.4'
make: *** [all-recursive-am] Error 2

Comment 1 Gabor Z. Papp 2002-02-19 16:19:47 UTC
Created attachment 46020 [details]
configure log

Comment 2 Jeff Johnson 2002-02-24 21:10:29 UTC
Why are you using --without-db?

There's work to be done to build against external db of
unknown random version.

FWIW, the pain of trying to autoconfigure against random
installs of Berkeley DB was *THE* reason for internalizing
Berkeley DB within rpm in the first place.

Comment 3 Gabor Z. Papp 2002-02-24 21:45:50 UTC
Tried to configure --without-db because this configure error?!

configuring in db3
running /bin/sh ./configure  --cache-file=.././config.cache --srcdir=.
configure: error: cannot find sources in .
mv: cannot stat `Makefile': No such file or directory
cat: Makefile.orig: No such file or directory
mv: cannot stat `db.h': No such file or directory
cat: db.h.orig: No such file or directory
make: *** No rule to make target `listobjs'.  Stop.
configure: error: ./configure failed for db3

Comment 4 Jeff Johnson 2004-10-10 14:13:54 UTC
rpm-4.0.4 is end of life already, no change to rebuild
with external db is anticipated.


Note You need to log in before you can comment on or make changes to this bug.